summaryrefslogtreecommitdiff
path: root/recipes-support/multitech/jsparser/jspp
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-support/multitech/jsparser/jspp')
-rwxr-xr-xrecipes-support/multitech/jsparser/jspp9
1 files changed, 9 insertions, 0 deletions
diff --git a/recipes-support/multitech/jsparser/jspp b/recipes-support/multitech/jsparser/jspp
new file mode 100755
index 0000000..16b60e1
--- /dev/null
+++ b/recipes-support/multitech/jsparser/jspp
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+if [ $# -lt 1 ]; then
+ echo "usage: $0 <filepath>"
+ echo " prints json in readable format"
+ exit 1
+fi
+
+cat $1 | jsparser --jsobj